---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/admin/patch-resolution.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Editing a resolution

Use this request to make changes to a resolution.

<div class="request_example method_patch yfm-clipboard">
    <p>PATCH</p>
    <pre><code>https://api.tracker.yandex.net/v3/resolutions/&lt;resolution_key_or_ID>?version=&lt;resolution_version></code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_includes/api/query-admin.md -->
{% note info "" %}

You need [Administrator](https://yandex.com.tr/support/tracker/en/role-model.md#admin) rights to run this request.

{% endnote %}
<!-- endsource: en/_includes/api/query-admin.md -->

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Request format {#query}

Before sending a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To edit a resolution, use an HTTP `PATCH` request. In the request body, specify the parameters in JSON format.

```json
PATCH /v3/resolutions/<resolution_ID_or_key>?version=<resolution_version>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
{
    "name": {
        "ru": "Моя резолюция",
        "en": "My resolution"
    },
    "description": "My resolution's description",
    "order": 350
}
```

{% note tip "" %}

To retrieve resolution parameters such as `id`, `key`, or `version`, use the [Get a list of resolutions](https://yandex.com.tr/support/tracker/en/api-ref/admin/get-resolutions.md) request.

{% endnote %}

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

{% cut "Resource" %}

| Parameter | Description | Data type |
-------- | -------- | ----------
| resolution_ID_or_key | Unique ID of the resolution in Yandex Tracker or the resolution key. View the list of resolutions on the [https://tracker.yandex.com/admin/resolutions](https://tracker.yandex.com/admin/resolutions) page | Number or string |

{% endcut %}

{% cut "Request parameters" %}

**Additional parameters**

  | Parameter | Description | Data type |
  ----- | ----- | -----
  | version | Resolution version. Changes only apply to the current resolution version. | Number |

{% endcut %}

{% cut "Request body parameters" %}

**Additional parameters**

| Parameter | Description | Data type |
----- | ----- | -----
| name | Resolution name. | Object |
| description | Resolution description. | String |
| order | Resolution weight. This parameter affects the order of resolution display in the interface. | Number |

{% endcut %}


> Example: Changing a resolution name.
>
> - An HTTP PATCH method is used.
> - Editing resolution with `id` = 9 and `version` = 1.
> - Resolution to be renamed to: **Won't fix**.
>
> ```json translate=no
> PATCH /v3/resolutions/9?version=1
> Host: api.tracker.yandex.net
> Authorization: OAuth <OAuth token>
> X-Org-ID or X-Cloud-Org-ID: <organization_ID>
>
> {
>     "name": {
>         "ru": "Не будет исправлено",
>         "en": "Won't fix"
>         },
>     "description": "Issue won't be fixed"
> }
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    The response body contains information about the edited resolution in JSON format.

  ```json translate=no
      {
          "self": "https://api.tracker.yandex.net/v3/resolutions/9",
          "id": 9,
          "key": "myResolution",
          "version": 2,
          "name": "Won't fix",
          "description": "Issue won't be fixed",
          "order": 90
      }
  ```

  {% cut "Response parameters" %}

  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the resolution | String |
  | id | Unique ID of the resolution in Yandex Tracker | Number |
  | key | Resolution key | String |
  | version | Resolution version | Number |
  | name | Resolution name | String |
  | description | Resolution description | String |
  | order | Resolution weight. This parameter affects the order in which the resolution appears in the interface | Number |

  {% endcut %}


- Request failed

  If the request is processed incorrectly, the API returns a response with an error code:

  <!-- source: en/_includes/api/answer-error-401.md -->
  401
  :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.com.tr/support/tracker/en/api-ref/access.md) section are performed.
  <!-- endsource: en/_includes/api/answer-error-401.md -->

  <!-- source: en/_includes/api/answer-error-403.md -->
  403
  :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
  <!-- endsource: en/_includes/api/answer-error-403.md -->

  <!-- source: en/_includes/api/answer-error-404.md -->
  404
  :   The requested object was not found. You may have specified an invalid object ID or key.
  <!-- endsource: en/_includes/api/answer-error-404.md -->

  <!-- source: en/_includes/api/answer-error-409.md -->
  409
  :   There was a conflict when editing the object. The error may be due to an invalid update version.
  <!-- endsource: en/_includes/api/answer-error-409.md -->

  <!-- source: en/_includes/api/answer-error-423.md -->
  423
  :   Object edits disabled. The `version` parameter value limit (the maximum number of object updates) might have been exceeded. The maximum version value is `10100` for robots and `11100` for users.
  <!-- endsource: en/_includes/api/answer-error-423.md -->

{% endlist %}

